<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:ext="http://www.liquibase.org/xml/ns/dbchangelog-ext"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.9.xsd
                        http://www.liquibase.org/xml/ns/dbchangelog-ext http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-ext.xsd">

        <property name="autoIncrement" value="true"/>

    <!--
        Added the entity City.
    -->
    <changeSet id="20201202232905-1" author="zarko">
        <createTable tableName="gate">
            <column name="id" type="bigint" autoIncrement="${autoIncrement}">
                <constraints primaryKey="true" nullable="false"/>
            </column>
            <column name="version" type="bigint">
                <constraints nullable="false"/>
            </column>
            <column name="gate_number" type="varchar(255)">
                <constraints nullable="false" />
            </column>
            <column name="gate_name" type="varchar(255)">
                <constraints nullable="false" />
            </column>
        </createTable>
    </changeSet>

    <changeSet id="20201202232905-1-data" author="zarko" context="faker">
        <loadData
                file="liquibase/data/gate.csv"
                separator=";"
                tableName="gate">
            <column name="id" type="numeric"/>
            <column name="version" type="numeric"/>
            <column name="gate_number" type="string"/>
            <column name="gate_name" type="string"/>
        </loadData>
    </changeSet>
</databaseChangeLog>
